Package org.eclipse.cdt.utils.macho

## Class MachO64.Line

- java.lang.Object
- - org.eclipse.cdt.utils.macho.MachO64.Line

All Implemented Interfaces:
  `Comparable<Object>`

Enclosing class:
  MachO64

    public static class MachO64.Line
    extends Object
    implements Comparable<Object>

Simple class to implement a line table

### Field Summary

Fields
`long` `address`
`String` `file`
`String` `function`
`int` `lineno`

### Constructor Summary

Constructors
`Line()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compareTo​(Object obj)`
`boolean` `equals​(Object obj)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### address

    public long address

#### lineno

    public int lineno

#### file

    public String file

#### function

    public String function

### Constructor Detail

#### Line

    public Line()

### Method Detail

#### compareTo

    public int compareTo​(Object obj)

Specified by:
  `compareTo` in interface `Comparable<Object>`

#### equals

    public boolean equals​(Object obj)

Overrides:
  `equals` in class `Object`